RagTime5StyleManagerInternal::TextFieldParser Struct Referencefinal

Internal: the helper to read style for a RagTime5StyleManager. More...

Inheritance diagram for RagTime5StyleManagerInternal::TextFieldParser:

## Public Member Functions

| TextFieldParser ()
| constructor
| ~TextFieldParser () final
| destructor
std::string | getZoneName (int n) const final
| return the debug name corresponding to a field
bool | parseHeaderField (RagTime5StructManager::Field &field, RagTime5Zone &, int n, libmwaw::DebugStream &f) final
| parse a header field
bool | parseField (RagTime5StructManager::Field &field, RagTime5Zone &, int n, libmwaw::DebugStream &f) final
| parse a field
Public Member Functions inherited from RagTime5StructManager::FieldParser
| FieldParser (std::string const &zoneName)
| constructor
virtual | ~FieldParser ()
| destructor
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone

## Public Attributes

std::vector< RagTime5StyleManager::TextStyle > | m_styleList
| the list of read style
Public Attributes inherited from RagTime5StructManager::FieldParser
bool | m_regroupFields
| a flag use to decide if we output one debug message by field or not

## Additional Inherited Members

Protected Attributes inherited from RagTime5StructManager::FieldParser
std::string | m_name
| the field name

## Detailed Description

Internal: the helper to read style for a RagTime5StyleManager.

## Constructor & Destructor Documentation

## TextFieldParser()

RagTime5StyleManagerInternal::TextFieldParser::TextFieldParser | ( |  | ) |

inline

constructor

## ~TextFieldParser()

RagTime5StyleManagerInternal::TextFieldParser::~TextFieldParser | ( |  | ) |

final

destructor

## Member Function Documentation

## getZoneName()

std::string RagTime5StyleManagerInternal::TextFieldParser::getZoneName | ( | int | n | ) | const

inline final virtual

return the debug name corresponding to a field

Reimplemented from RagTime5StructManager::FieldParser.

Referenced by getZoneName().

## parseField()

bool RagTime5StyleManagerInternal::TextFieldParser::parseField | ( | RagTime5StructManager::Field & | field,
|  | RagTime5Zone & | ,
|  | int | n,
|  | libmwaw::DebugStream & | f )

inline final virtual

parse a field

Reimplemented from RagTime5StructManager::FieldParser.

## parseHeaderField()

bool RagTime5StyleManagerInternal::TextFieldParser::parseHeaderField | ( | RagTime5StructManager::Field & | field,
|  | RagTime5Zone & | ,
|  | int | n,
|  | libmwaw::DebugStream & | f )

inline final virtual

parse a header field

Reimplemented from RagTime5StructManager::FieldParser.

## Member Data Documentation

## m_styleList

std::vector<RagTime5StyleManager::TextStyle> RagTime5StyleManagerInternal::TextFieldParser::m_styleList

the list of read style

Referenced by parseField(), parseHeaderField(), RagTime5StyleManager::readTextStyles(), and TextFieldParser().

The documentation for this struct was generated from the following file:

- RagTime5StyleManager.cxx